<template>
  <TabCarousel
    :tabsTitle="tabsTitle"
    :breakpoints="carouselBreakpoints"
    :aspectRatio="0.45"
  >
    <Slide v-for="tab in tabs" :key="tab.id" class="tab-slide">
      <template v-slot:content>
        <div class="mobile-app__container">
          <MobileMockup
            v-for="index in 4"
            :key="index"
            class="mobile-app__mobile"
          >
            <template #gradient>
              <span class="gradient"></span>
            </template>
            <template #content>
              <img :src="tab.images[index - 1]" :alt="tab.title" />
            </template>
          </MobileMockup>
        </div>
      </template>
    </Slide>
  </TabCarousel>
</template>
<script>
import { computed } from 'vue'
import { VueperSlide } from 'vueperslides'
import TabCarousel from '@/components/shared/TabCarousel'
import MobileMockup from '@/components/shared/MobileMockup'

export default {
  name: 'CaseMobileApp',
  props: {
    tabs: {
      type: Array,
      required: true,

      //  add validator
      validator() {
        return true
      }
    }
  },
  components: {
    Slide: VueperSlide,
    TabCarousel,
    MobileMockup
  },
  setup(props) {
    const tabsTitle = computed(() => props.tabs.map(t => t.title))
    const carouselBreakpoints = {
      900: {
        slideRatio: 1.95
      }
    }
    return { tabsTitle, carouselBreakpoints }
  }
}
</script>
